.\" 
.\" "$Id: cupsaddsmb.man,v 1.2 2005/01/03 19:29:58 mike Exp $"
.\" 
.\" cupsaddsmb man page for the Common UNIX Printing System (CUPS).
.\" 
.\" Copyright 1997-2005 by Easy Software Products.
.\" 
.\" These coded instructions, statements, and computer programs are the
.\" property of Easy Software Products and are protected by Federal
.\" copyright law.  Distribution and use rights are outlined in the file
.\" "LICENSE.txt" which should have been included with this file.  If this
.\" file is missing or damaged please contact Easy Software Products
.\" at:
.\" 
.\" Attn: CUPS Licensing Information
.\" Easy Software Products
.\" 44141 Airport View Drive, Suite 204
.\" Hollywood, Maryland 20636 USA
.\" 
.\" Voice: (301) 373-9600
.\" EMail: cups-info@cups.org
.\" WWW: http://www.cups.org
.\" 
.TH "cupsaddsmb" "8" "Common UNIX Printing System" "19 de Agosto de 2004" "Easy Software Products"
.SH "NOMBRE"
cupsaddsmb \- exporta impresoras a samba para clientes windows
.SH "SINOPSIS"
.B cupsaddsmb
[ \-H
.I servidor\-samba
] [ \-U
.I usuario\-samba
] [ \-h
.I servidor\-cups
] [ \-v ] \-a
.br 
.B cupsaddsmb
[ \-H
.I servidor\-samba
] [ \-U
.I usuario\-samba
] [ \-h
.I servidor\-cups
] [ \-v ] impresora [ ... impresora ]
.SH "DESCRIPCIN"
\fIcupsaddsmb\fR exporta impresoras al programa SAMBA (version
2.2.0 o superior) para que puedan ser usadas por clientes Windows. Dependiendo de la configuracin de SAMBA, puede que se necesite dar una palabra de acceso para exportar las impresoras. Este programa necesita los controladores de las impresoras Windows descritos ms abajo.
.LP 
La opcin \fI\-H\fR especifica el servidor SAMBA, que por omisin es el servidor CUPS.
.LP 
La opcin \fI\-U\fR especifica el nombre de usuario administrador de impresin de SAMBA, que por omisin es su usuario actual.
.LP 
La opcin \fI\-a\fR exporta todas las impresoras conocidas. De otra forma, solo se exportan las impresoras especificadas.
.LP 
La opcin \fI\-h\fR especifica que se use otro servidor CUPS diferente.
.LP 
La opcin \fI\-v\fR especifica que se debe mostrar informacin detallada, lo cual es til para depurar problemas de configuracin de SAMBA.
.SH "CONFIGURACIN DE SAMBA"
\fIcupsaddsmb\fR usa el nuevo soporte de impresin basado en RPC de 
SAMBA 2.2.x para proporcionar controladores de impresora y archivos PPD a las mquinas clientes Windows. Para poder usar esta funcionalidad, primero debe configurar SAMBA (mediante el archivo smb.conf) para que soporte la impresin por mediacin de CUPS y proporcionar un recurso compartido de descarga de controladores de impresora, de la forma siguiente:
.nf 

    [global]
	load printers = yes
	printing = cups
	printcap name = cups

    [printers]
	comment = Todas las impresoras
	path = /var/spool/samba
	browseable = no
	public = yes
	guest ok = yes
	writable = no
	printable = yes
	printer admin = root

    [print$]
	comment = Controladores de impresoras
	path = /etc/samba/drivers
	browseable = yes
	guest ok = no
	read only = yes
	write list = root
.fi 
.LP 
Esta configuracin da por sentado una instalacin de SAMBA conforme al estandar FHS; cambie los directorios (path) compartidos de [printers] y [print$] de acuerdo a las necesidades de su sistema.

.SH "CONTROLADORES POSTSCRIPT DE MICROSOFT PARA WINDOWS"
El controlador base para Windows 2000 y versiones posteriores es el controlador 
PostScript de Microsoft, que est disponible en cualquier sistema que ejecute 
Windows 2000 o versiones posteriores en la carpeta
%WINDOWS%\\SYSTEM32\\SPOOL\\DRIVERS\\W32X86\\3.
.LP 
Es preferible el controlador de impresin CUPS sobre el de Microsoft, ya que soporta completamente las opciones de etiquetado de pgina, facturacin de trabajos, y espera de trabajo, en todas las impresoras. Sin embargo, actualmente el controlador de Microsoft slo soporta Windows 2000 y versiones posteriores, por lo que necesita conseguir el controlador de Adobe para soportar clientes Windows 95, 98, and Me. Los controladores de Adobe y Microsoft para Windows 2000 son idnticos.
.LP 
Una vez extrados los archivos del controlador, cree un directorio "drivers" en el directorio de datos de CUPS (normalmente /usr/share/cups) y copie los archivos exactamente como se nombran a continuacin:
.nf 

    [Windows 2000 y versiones posteriores]
    ps5ui.dll
    pscript.hlp
    pscript.ntf
    pscript5.dll
.fi 

.SH "CONTROLADORES POSTSCRIPT DE CUPS PARA WINDOWS"
\fIcupsaddsmb\fR puede usar la versin 6 del controlador de impresoras PostScript de CUPS para Windows, que est disponible para ser descargado de la pgina web de CUPS.
.LP 
El controlador de impresoras de CUPS se prefiere sobre los controladores de Adobe y Microsoft ya que soporta completamente las opciones de etiquetado de pgina, facturacin de trabajos, y espera de trabajo, en todas las impresoras. Sin embargo, actualmente el controlador de CUPS slo soporta Windows 2000 y versiones posteriores, por lo que necesita conseguir el controlador de Adobe para soportar clientes Windows 95, 98, and Me.
.LP 
Una vez extrados los archivos del controlador, cree un directorio "drivers" en el directorio de datos de CUPS (normalmente /usr/share/cups) y copie los archivos exactamente como se nombran a continuacin:
.nf 

    [Windows 2000 y versiones posteriores]
    cupsui6.dll
    cupsdrv6.dll
    ps5ui.dll
    pscript.hlp
    pscript.ntf
    pscript5.dll
.fi 

.SH "CONTROLADORES POSTSCRIPT DE ADOBE PARA WINDOWS"
\fIcupsaddsmb\fR puede usar el controlador de impresoras PostScript de Adobe para Windows, que est disponible para ser descargado de la pgina web de Adobe  (http://www.adobe.com).
.LP 
El controlador de impresoras de CUPS se prefiere sobre los controladores de Adobe ya que soporta completamente las opciones de etiquetado de pgina, facturacin de trabajos, y espera de trabajo, en todas las impresoras. Puede usar los controladores de Adobe para Windows 9x y los controladores de CUPS para Windows 2000 y versiones posteriores. Los controladores de Adobe y Microsoft para Windows 2000 son idnticos.
.LP 
Una vez extrados los archivos del controlador, cree un directorio "drivers" en el directorio de datos de CUPS (normalmente /usr/share/cups) y copie los archivos exactamente como se nombran a continuacin:
.nf 

    [Windows 95, 98, y Me]
    ADFONTS.MFM
    ADOBEPS4.DRV
    ADOBEPS4.HLP
    ICONLIB.DLL
    PSMON.DLL
.fi 
.SH "VASE TAMBIN"
Manual de administrador de CUPS,
http://localhost:631/documentation.html
.SH "DERECHOS DE COPIA"
Los derechos de copia 1993\-2005 son de Easy Software Products. Todos los derechos reservados.

.SH "TRADUCCIN"
Juan Pablo Gonzlez Riopedre <riopedre@tiscali.es>
.\"
.\" End of "$Id: cupsaddsmb.man,v 1.2 2005/01/03 19:29:58 mike Exp $".
.\"
