.\" 
.\" "$Id: cupsd.conf.man,v 1.2 2005/01/03 19:29:58 mike Exp $"
.\" 
.\" cupsd.conf man page for the Common UNIX Printing System (CUPS).
.\" 
.\" Copyright 1997-2005 by Easy Software Products.
.\" 
.\" These coded instructions, statements, and computer programs are the
.\" property of Easy Software Products and are protected by Federal
.\" copyright law.  Distribution and use rights are outlined in the file
.\" "LICENSE.txt" which should have been included with this file.  If this
.\" file is missing or damaged please contact Easy Software Products
.\" at:
.\" 
.\" Attn: CUPS Licensing Information
.\" Easy Software Products
.\" 44141 Airport View Drive, Suite 204
.\" Hollywood, Maryland 20636 USA
.\" 
.\" Voice: (301) 373-9600
.\" EMail: cups-info@cups.org
.\" WWW: http://www.cups.org
.\" 
.TH "cupsd.conf" "5" "Common UNIX Printing System" "18 de Agosto de 2004" "Easy Software Products"
.SH "NOMBRE"
cupsd.conf \- archivo de configuracin del servidor cups
.SH "DESCRIPCIN"
El archivo \fIcupsd.conf\fR configura el programa planificador de tareas de CUPS, \fIcupsd(8)\fR. Normalmente se encuentra en el directorio \fI/etc/cups\fR.
.LP 
Cada lnea del archivo puede ser o una directiva de configuracin, o una lnea en blanco, o un comentario. Las lneas de comentario comienzan por el carcter #. Las directivas de configuracin son intencionadamente similares a las usadas por el popular servidor de pginas web Apache, como se describe ms adelante.
.SH "DIRECTIVAS"
\fIcupsd\fR reconoce las siguientes directivas. Consulte el manual de administrador de CUPS si necesita una descripcin detallada:
.TP 5
AccessLog
.br 
Define el nombre del archivo de registro de los accesos.
.TP 5
Allow
.br 
Indica desde que equipos o direcciones se permite el acceso.
.TP 5
AuthClass
.br 
Especifica la clase de autentificacin: User (usuario), Group (grupo), System (sistema)
.TP 5
AuthGroupName
.br 
Especifica el grupo de autentificacin.
.TP 5
AuthType
.br 
Especifica el tipo de autentificacin: None (ninguna), Basic (bsica), Digest (resumida)
.TP 5
AutoPurgeJobs
.br 
Especifica si se purgan automticamente los datos del historial de trabajos cuando ya no son necesarios para el establecimiento de cuotas.
.TP 5
BrowseAddress
.br 
Especifica una direccin para el envo de paquetes de informacin de impresora.
.TP 5
BrowseAllow
.br 
Permite la llegada de paquetes de informacin de impresora desde el ordenador o direccin especificados.
.TP 5
BrowseDeny
.br 
No permite la llegada de paquetes de informacin de impresora desde el ordenador o direccin especificados.
.TP 5
BrowseInterval
.br 
Especifica el intervalo de tiempo mximo entre peticiones de informacin a las impresoras.
.TP 5
BrowseOrder
.br 
Especifica el orden del control de acceso a la informacin de las impresoras:  allow,deny (permitir, denegar) o deny,allow (denegar, permitir)
.TP 5
BrowsePoll
.br 
Especifica el servidor que recuperar la informacin de las impresoras.
.TP 5
BrowsePort
.br 
Especifica el puerto de escucha de los paquetes de informacin de las impresoras.
.TP 5
BrowseProtocols
.br 
Especifica el protocolo a usar para las peticiones a las impresoras.
.TP 5
BrowseRelay
.br 
Especifica los paquetes de informacin de impresoras que deben ser transmitidos desde un ordenador o red a otro ordenador o red.
.TP 5
BrowseShortNames
.br 
Especifica si impresoras remotas usarn nombres cortos ("impresora") o no
("impresora@servidor"). Esta opcin es ignorada si existe ms de una impresora remota con el mismo nombre.
.TP 5
BrowseTimeout
.br 
Especifica el mximo intervalo de tiempo entre actualizaciones de la informacin de las impresoras antes de que las impresoras remotas sean borradas de la lista de impresoras disponibles.
.TP 5
Browsing
.br 
Especifica si se buscan o no impresoras remotas.
.TP 5
Classification
.br 
Especifica la clasificacin de seguridad del servidor.
.TP 5
ClassifyOverride
.br 
Especifica si se permite a usuarios individuales no hacer caso de la clasificacin de trabajos individuales de impresin.
.TP 5
ConfigFilePerm
.br 
Especifica los permisos para todos los archivos de configuracin que escriba el programa de planificacin de tareas.
.TP 5
DataDir
.br 
Especifica el directorio de los archivos de datos.
.TP 5
DefaultCharset
.br 
Especifica el juego de caracteres predeterminado a ser usado en el texto.
.TP 5
DefaultLanguage
.br 
Especifica el idioma predeterminado a ser usado en el texto y en las pginas web.
.TP 5
Deny
.br 
Especifica a qu ordenadores o direcciones deniega el acceso.
.TP 5
DocumentRoot
.br 
Especifica el directorio raz de los documentos del servidor web interno.
.TP 5
Encryption
.br 
Especifica el nivel de encriptacin requerido para un lugar determinado.
.TP 5
ErrorLog
.br 
Especifica el nombre del archivo de registro de errores.
.TP 5
FaxRetryInterval
.br 
Especifica el tiempo, en segundos, entre reintentos de trabajos de fax.
.TP 5
FaxRetryLimit
.br 
Especifica el nmero de reintentos que se pueden hacer para trabajos de fax.
.TP 5
FileDevice
.br 
Especifica si se puede usar para nuevas colas de impresora el archivo pseudo\-dispositivo.
.TP 5
FilterLimit
.br 
Especifica el coste mximo de filtros que pueden ser ejecutados concurrentemente.
.TP 5
FilterNice
.br 
Especifica la prioridad (valor "nice") de los filtros ejecutados para imprimir un archivo.
.TP 5
FontPath
.br 
Especifica el camino de bsqueda de las fuentes.
.TP 5
Group
.br 
Especifica el nombre del grupo o ID que ser usado cuando se ejecuten programas externos.
.TP 5
HideImplicitMembers
.br 
Especifica si se deben ocultar miembros de clases implcitas.
.TP 5
HostNameLookups
.br 
Especifica si se hacen o no averiguaciones inversas de direcciones de clientes.
.TP 5
ImplicitAnyClasses
.br 
Especifica si se deben crear o no clases implcitas para impresoras locales y remotas, p.e. "UnaImpresora" para "Impresora", "Impresora@servidor1",
e "Impresora@servidor2".
.TP 5
ImplicitClasses
.br 
Especifica si se deben crear clases implcitas de impresoras remotas idnticas.
.TP 5
Include
.br 
Incluye el archivo especificado.
.TP 5
KeepAlive
.br 
Especifica si funciona la caracterstica "HTTP Keep\-Alive".
.TP 5
KeepAliveTimeout
.br 
Especifica el tiempo de espera mximo para la caracterstica "HTTP Keep\-Alive".
.TP 5
<Limit methods> ... </Limit>
.TP 5
<LimitExcept methods> ... </LimitExcept>
.br 
Especifica los mtodos HTTP limitados en un lugar determinado.
.TP 5
LimitRequestBody
.br 
Especifica el tamao mximo de cualquier peticin de impresin de un trabajo.
.TP 5
Listen
.br 
Escucha en la direccin y puerto especificado.
.TP 5
<Location /path> ... </Location>
.br 
Especifica el control de acceso para el lugar especificado.
.TP 5
LogFilePerm
.br 
Especifica los permisos para todos los archivos de registro que escriba el programa planificador de tareas.
.TP 5
LogLevel
.br 
Especifica el nivel de registro: none (ninguno), warn (avisos), error (errores), info (informacin), debug (depuracin), or debug2 (depuracin2).
.TP 5
MaxClients
.br 
Especifica el nmero mximo de clientes simultneos a mantener.
.TP 5
MaxClientsPerHost
.br 
Especifica el nmero mximo de clientes simultneos a mantener desde una nica direccin.
.TP 5
MaxCopies
.br 
Especifica el nmero mximo de copias que un usuario puede imprimir de cada trabajo.
.TP 5
MaxJobs
.br 
Especifica el nmero mximo de trabajos simultneos a mantener.
.TP 5
MaxJobsPerPrinter
.br 
Especifica el nmero mximo de trabajos simultneos por impresora a mantener.
.TP 5
MaxJobsPerUser
.br 
Especifica el nmero mximo de trabajos simultneos por usuario a mantener.
.TP 5
MaxLogSize
.br 
Especifica el tamao mximo de los archivos de registro antes de que se empiecen a rotar (0 deshabilita la rotacin).
.TP 5
MaxRequestSize
.br 
Especifica el tamao mximo del archivo o peticin en bytes (0 indica sin lmite)
.TP 5
Order
.br 
Especifica el orden del control de acceso HTTP: allow,deny (permitir, denegar) o deny,allow (denegar, permitir).
.TP 5
PageLog
.br 
Especifica el nombre del archivo de registro de pginas.
.TP 5
Port
.br 
Especifica un nmero de puerto para la escucha de peticiones HTTP.
.TP 5
PreserveJobFiles
.br 
Especifica se se guardan los archivos de trabajos despus de ser impresos.
.TP 5
PreserveJobHistory
.br 
Especifica si se guarda el historial de impresin de trabajos despus de que stos hayan sido impresos.
.TP 5
Printcap
.br 
Especifica el nombre de un archivo printcap que se actualiza automticamente con una lista de impresoras disponibles (necesario para aplicaciones heredadas).
.TP 5
PrintcapFormat
.br 
Especifica el formato del archivo printcap.
.TP 5
PrintcapGUI
.br 
Especifica si se deben generar archivos de definicin de panel de opciones en algunos sistemas operativos.
.TP 5
ReloadTimeout
.br 
Especifica la cantidad de tiempo que se debe esperar a que se imprima un trabajo antes de reinicializar el programa planificador de tareas.
.TP 5
RemoteRoot
.br 
Especifica el nombre de usuario asociado con accesos no autentificados del usuario root.
.TP 5
RequestRoot
.br 
Especifica el directorio donde se guardan los trabajos de impresin y otros datos de  peticiones HTTP.
.TP 5
Require
.br 
Especifica que se necesita tal usuario o grupo.
.TP 5
RIPCache
.br 
Especifica la mxima cantidad de memoria a usar cuando se convierten imgenes y archivos PostScript a mapas de bits para una impresora.
.TP 5
RunAsUser
.br 
Especifica que el programa planificador de tareas debe ser ejecutado como el usuario sin privilegios especificado con la directiva User.
.TP 5
Satisfy
.br 
Especifica si todos o cualquier lmite especificado para un lugar debe ser satisfecho para permitir el acceso.
.TP 5
ServerAdmin
.br 
Especifica la direccin de correo del administrador del servidor.
.TP 5
ServerBin
.br 
Especifica el directorio donde se encuentran los programas de transmisin, los CGIs, los demonios y los filtros.
.TP 5
ServerCertificate
.br 
Especifica el certificado de encriptacin a usar.
.TP 5
ServerKey
.br 
Especifica la llave de encriptacin a usar.
.TP 5
ServerName
.br 
Especifica el nombre completo del servidor.
.TP 5
ServerRoot
.br 
Especifica el directorio donde se encuentran los archivos de configuracin del servidor.
.TP 5
ServerTokens
.br 
Especifica la informacin que es incluida en la cabecera de las respuestas HTTP del servidor.
.TP 5
SSLListen
.br 
Escucha en la direccin y puerto especificados para las conexiones encriptadas.
.TP 5
SSLPort
.br 
Escucha en el puerto especificado para las conexiones encriptadas.
.TP 5
SystemGroup
.br 
Especifica el grupo a usar para la autentificacin de clases del sistema.
.TP 5
TempDir
.br 
Especifica el directorio donde se almacenan los archivos temporales.
.TP 5
Timeout
.br 
Especifica el tiempo de espera mximo en segundos en las peticiones HTTP.
.TP 5
User
.br 
Especifica el nombre de usuario o ID a usar cuando se ejecuten programas externos.
.SH "VASE TAMBIN"
classes.conf(5), cupsd(8), mime.convs(5), mime.types(5), printers.conf(5),
Manual de administrador de CUPS,
http://localhost:631/documentation.html
.SH "DERECHOS DE COPIA"
Los derechos de copia 1993\-2005 son de Easy Software Products. Todos los derechos reservados.
.SH "TRADUCCIN"
Juan Pablo Gonzlez Riopedre <riopedre@tiscali.es>
.\"
.\" End of "$Id: cupsd.conf.man,v 1.2 2005/01/03 19:29:58 mike Exp $".
.\"
