.\" 
.\" "$Id: cupstestppd.man,v 1.2 2005/01/03 19:29:58 mike Exp $"
.\" 
.\" cupstestppd man page for the Common UNIX Printing System (CUPS).
.\" 
.\" Copyright 1997-2005 by Easy Software Products.
.\" 
.\" These coded instructions, statements, and computer programs are the
.\" property of Easy Software Products and are protected by Federal
.\" copyright law.  Distribution and use rights are outlined in the file
.\" "LICENSE.txt" which should have been included with this file.  If this
.\" file is missing or damaged please contact Easy Software Products
.\" at:
.\" 
.\" Attn: CUPS Licensing Information
.\" Easy Software Products
.\" 44141 Airport View Drive, Suite 204
.\" Hollywood, Maryland 20636 USA
.\" 
.\" Voice: (301) 373-9600
.\" EMail: cups-info@cups.org
.\" WWW: http://www.cups.org
.\" 
.TH "cupstestppd" "1" "Common UNIX Printing System" "1  de Agosto de 2003" "Easy Software Products"
.SH "NOMBRE"
cupstestppd \- test de conformidad de archivos ppd
.SH "SINOPSIS"
.B cupstestppd
[ \-q ] [\-r] [ \-v[v] ] archivo.ppd[.gz] [ ... archivoN.ppd[.gz] ]
.br 
.B cupstestppd
[ \-q ] [\-r] [ \-v[v] ] \-
.SH "DESCRIPCIN"
\fIcupstestppd\fR prueba la conformidad de archivos PPD segn la especificacin del formato de archivo de descripcin de impresora PostScript de Adobe, versin 4.3. Tambin puede ser usado para listar las opciones implementadas y las fuentes disponibles en un archivo PPD. El resultado del test y cualquier otra salida se envan a la salida estandar.
.LP 
La primera forma de \fIcupstestppd\fR prueba uno o ms archivos PPD desde la lnea de comandos. La segunda forma prueba el archivo PPD proporcionado en la entrada estandar.
.LP 
La opcin \fI\-q\fR especifica que no se debe visualizar ninguna informacin.
.LP 
La opcin \fI\-r\fR rebaja los requerimientos de conformidad PPD para que espacios en blanco comunes, caracteres de control y problemas de formato no sean tratados como errores crticos.
.LP 
La opcin \fI\-v\fR especifica que los resultados detallados de la prueba de conformidad deben ser visualizados en vez de la forma ms concisa de PASS/FAIL/ERROR (PASA/FALLO/ERROR).
.LP 
La opcin \fI\-vv\fR especifica que toda la informacin del archivo PPD debe ser visualizada ms los resultados detallados del test de conformidad.
.LP 
Las opciones \fI\-q\fR, \fI\-v\fR, y \fI\-vv\fR son mutuamente excluyentes.
.SH "ESTADO DE SALIDA"
\fIcupstestppd\fR devuelve cero si todo ha ido bien y un valor distinto de cero en caso de error. Estos son los cdigos de error:
.TP 5
1
.br 
Argumentos de la lnea de comandos incorrectos o falta el nombre del archivo PPD.
.TP 5
2
.br 
No se ha podido abrir o leer el archivo PPD.
.TP 5
3
.br 
El archivo PPD contiene errores de formato que no pueden ser ignorados.
.TP 5
4
.br 
El archivo PPD no es conforme a la especificacin PPD de Adobe.
.SH "EJEMPLOS"
El comando siguiente prueba todos los archivos PPD que se encuentren bajo el directorio actual e imprime los nombres de los archivos que no son conformes a la especificacin:
.nf 

    find . \-name \\*.ppd \\! \-exec cupstestppd \-q '{}' \\; \-print

.fi 
El comando siguiente prueba todos los archivos PPD que se encuentren bajo el directorio actual e imprime el resultado de la prueba de conformidad para los archivos que no son conformes a la especificacin:
.nf 

    find . \-name \\*.ppd \\! \-exec cupstestppd \-q '{}' \\; \\
        \-exec cupstestppd \-v '{}' \\;

.fi 
.SH "VASE TAMBIN"
Manual de administrador de CUPS,
Manual del programador de software de CUPS,
http://localhost:631/documentation.html,
Especificacin del formato del archivo de descripcin de impresora PostScript de Adobe, versin 4.3.
.SH "DERECHOS DE COPIA"
Los derechos de copia 1993\-2005 son de Easy Software Products. Todos los derechos reservados.
.SH "TRADUCCIN"
Juan Pablo Gonzlez Riopedre <riopedre@tiscali.es>
.\"
.\" End of "$Id: cupstestppd.man,v 1.2 2005/01/03 19:29:58 mike Exp $".
.\"
