.\" 
.\" "$Id: lpadmin.man,v 1.2 2005/01/03 19:29:58 mike Exp $"
.\" 
.\" lpadmin man page for the Common UNIX Printing System (CUPS).
.\" 
.\" Copyright 1997-2005 by Easy Software Products.
.\" 
.\" These coded instructions, statements, and computer programs are the
.\" property of Easy Software Products and are protected by Federal
.\" copyright law.  Distribution and use rights are outlined in the file
.\" "LICENSE.txt" which should have been included with this file.  If this
.\" file is missing or damaged please contact Easy Software Products
.\" at:
.\" 
.\" Attn: CUPS Licensing Information
.\" Easy Software Products
.\" 44141 Airport View Drive, Suite 204
.\" Hollywood, Maryland 20636 USA
.\" 
.\" Voice: (301) 373-9600
.\" EMail: cups-info@cups.org
.\" WWW: http://www.cups.org
.\" 
.TH "lpadmin" "8" "Common UNIX Printing System" "21 de Octubre de 2002" "Easy Software Products"
.SH "NOMBRE"
lpadmin \- configura las impresoras y clases cups
.SH "SINOPSIS"
.B lpadmin
[ \-E ] [ \-h
.I servidor
] \-d
.I destino
.br 
.B lpadmin
[ \-E ] [ \-h
.I servidor
] \-p
.I impresora
.I opcion(es)
.br 
.B lpadmin
[ \-E ] [ \-h
.I servidor
] \-x
.I destino
.SH "DESCRIPCIN"
\fIlpadmin\fR configura las colas de las clases e impresoras proporcionadas por CUPS. Tambin se puede usar para poner la clase o impresora predeterminada del servidor.
.LP 
Cuando se usa la opcin \fI\-E\fR antes de las opciones \fI\-d\fR, \fI\-p\fR, o \fI\-x\fR, hace que se use encriptacin en la conexin con el servidor.
.LP 
La primera forma del comando pone como clase o impresora predeterminada a \fIdestino\fR.  Los trabajos de impresin enviados posteriormente mediante el comando \fIlp(1)\fR o
\fIlpr(1)\fR utilizarn este destino a menos que el usuario especifique otra cosa con el comando \fIlpoptions(1)\fR.
.LP 
La segunda forma del comando configura la impresora especificada. Las opciones adicionales se describen a continuacin.
.LP 
La tercera forma del comando borra la clase o impresora \fIdestino\fR.
Cualquier trabajo pendiente para este destino ser borrado y cualquier trabajo en proceso de impresin ser cancelado.
.SH "OPCIONES DE CONFIGURACIN"
Estas son las opciones reconocidas cuando se configura una cola de impresora:
.TP 5
\-c \fIclase\fR
.br 
Aade la \fIimpresora\fR especificada a la \fIclase\fR. Si \fIclase\fR no existe, se crea automticamente.
.TP 5
\-i \fIinterfaz\fR
.br 
Establece para la impresora un guin (script) de interfaz estilo System V. Esta opcin no puede ser especificada con la opcin \fI\-P\fR (archivo PPD) y est pensada para dar soporte a controladores de impresora legados.
.TP 5
\-m \fImodelo\fR
.br 
Establece un guin (script) de interfaz estandar System V o archivo PPD desde el directorio modelo.
.TP 5
\-o \fInombre=valor\fR
.br 
Establece una opcin del servidor o PPD para la impresora. Se pueden listar las opciones PPD usando la opcin \fI\-l\fR con el comando \fIlpoptions(1)\fR.
.TP 5
\-o \fIjob\-k\-limit=valor\fR
.br 
Establece un lmite en kilobytes para las cuotas por usuario. El valor es un nmero entero de kilobytes; un kilobyte son 1024 bytes.
.TP 5
\-o \fIjob\-page\-limit=valor\fR
.br 
Establece el lmite de pginas para las cuotas por usuario. El valor es un nmero entero con el nmero de pginas que pueden ser impresas; pginas por las dos caras se cuentan como dos pginas.
.TP 5
\-o \fIjob\-quota\-period=valor\fR
.br 
Establece el periodo de contabilidad para las cuotas por usuario. El valor es un nmero entero de segundos; un da tiene 86.400 segundos.
.TP 5
\-o \fIprotocol=nombre\fR
.br 
Establece el protocolo de comunicaciones binario a usar cuando se imprime, None (ninguno), BCP, o TBCP. El protocolo predeterminado es None (ninguno).
.TP 5
\-r \fIclase\fR
.br 
Elimina la \fIimpresora\fR especificada de la \fIclase\fR. Si la clase resultante no tiene ms impresoras, se borra.
.TP 5
\-u \fIallow:usuario,usuario,@grupo\fR
\-u \fIdeny:usuario,usuario,@grupo\fR
\-u \fIallow:all\fR
\-u \fIdeny:none\fR
.br 
Establece el control de acceso a nivel de usuario en una impresora. Los nombres que comiencen con "@" se interpretan como grupos UNIX. Las dos ltimas formas desactivan el control de acceso a nivel de usuario.
.TP 5
\-v \fIuri\-dispositivo\fR
.br 
Establece el atributo de \fIuri\-dispositivo\fR de la cola de impresin. Si  \fIuri\-dispositivo\fR es un nombre de archivo, automticamente es convertido a la forma  \fBfile:/nombre/archivo\fR.
.TP 5
\-D \fIinfo\fR
.br 
Proporciona una descripcin de la impresora.
.TP 5
\-E
.br 
Activa la impresora y hace que acepte trabajos; es lo mismo que ejecutar los programas \fIaccept(8)\fR y \fIenable(8)\fR en la impresora.
.TP 5
\-L \fIubicacin\fR
.br 
Proporciona una ubicacin de la impresora.
.TP 5
\-P \fIarchivo\-ppd\fR
.br 
Especifica un archivo de descripcin de impresora PostScript (PPD) para usar con la impresora. Si se especifica este archivo, esta opcin anula la opcin \fI\-i\fR (guin de interfaz).
.SH "COMPATIBILIDAD"
A diferencia del sistema de impresin System V, CUPS permite que los nombres de impresoras contengan cualquier carcter imprimible excepto ESPACIO y TAB. Tambin, en  los nombres de clases e impresoras \fIno\fR hay distincin entre maysculas y minsculas. Finalmente, la versin de CUPS de \fIlpadmin\fR puede pedir al usuario una palabra de acceso dependiendo de la configuracin del sistema de impresin. Esto es diferente de la versin System V que requiere que sea el usuario root el que ejecute este comando.
.SH "LIMITACIONES"
La versin de CUPS de \fIlpadmin\fR no soporta todas las opciones de configuracin del sistema de impresin System V o Solaris.
.SH "VASE TAMBIN"
accept(8), cancel(1), disable(8), enable(8), lp(1), lpstat(1), reject(8),
Manual de administrador de CUPS,
http://localhost:631/documentation.html
.SH "DERECHOS DE COPIA"
Los derechos de copia 1993\-2005 son de Easy Software Products. Todos los derechos reservados.
.SH "TRADUCCIN"
Juan Pablo Gonzlez Riopedre <riopedre@tiscali.es>
.\"
.\" End of "$Id: lpadmin.man,v 1.2 2005/01/03 19:29:58 mike Exp $".
.\"

