.\" 
.\" "$Id: lpoptions.man,v 1.2 2005/01/03 19:29:58 mike Exp $"
.\" 
.\" lpoptions man page for the Common UNIX Printing System (CUPS).
.\" 
.\" Copyright 1997-2005 by Easy Software Products.
.\" 
.\" These coded instructions, statements, and computer programs are the
.\" property of Easy Software Products and are protected by Federal
.\" copyright law.  Distribution and use rights are outlined in the file
.\" "LICENSE.txt" which should have been included with this file.  If this
.\" file is missing or damaged please contact Easy Software Products
.\" at:
.\" 
.\" Attn: CUPS Licensing Information
.\" Easy Software Products
.\" 44141 Airport View Drive, Suite 204
.\" Hollywood, Maryland 20636 USA
.\" 
.\" Voice: (301) 373-9600
.\" EMail: cups-info@cups.org
.\" WWW: http://www.cups.org
.\" 
.TH "lpoptions" "1" "Common UNIX Printing System" "21 de Octubre de 2002" "Easy Software Products"
.SH "NOMBRE"
lpoptions \- Visualiza o establece las opciones de las impresoras y los valores predeterminados
.SH "SINOPSIS"
.B lpoptions
[ \-h
.I servidor
] \-d
.I dest[/copia]
[ \-o
.I opcin=valor
] ... [ \-o
.I opcin=valor
.br 
.B lpoptions
[ \-h
.I servidor
] [ \-E ] [ \-p
.I dest[/copia]
] \-l
.br 
.B lpoptions
[ \-h
.I servidor
] [ \-E ] [ \-o
.I opcin=valor
] ... [ \-o
.I opcin=valor
] [ \-p
.I dest[/copia]
] \-r
.I opcin
.br 
.B lpoptions
[ \-h
.I servidor
] [ \-E ] \-x
.I dest[/copia]
.SH "DESCRIPCIN"
\fBlpoptions\fR visualiza o establece las opciones de las impresoras y los valores predeterminados.
\fBlpoptions\fR muestra las opciones predeterminadas cuando se ejecuta sin argumentos. Otras opciones:
.TP 5
\-E
.br 
Hace que se use encriptacin en la conexin con el servidor CUPS.
.TP 5
\-d \fIdest[/copia]\fR
.br 
Establece que \fIdest\fR sea la impresora predeterminada. Si se pone \fIcopia\fR, entonces se usa esa copia en particular. Esta opcin tiene preferencia sobre la impresora predeterminada del sistema para el usuario actual.
.TP 5
\-h \fIservidor\fR
.br 
Especifica el servidor CUPS con el que se va a comunicar.
.TP 5
\-l
.br 
Lista las opciones especificas de la impresora y sus valores actuales.
.TP 5
\-o \fIopcin=valor\fR
.br 
Especifica una nueva opcin para el destino especificado.
.TP 5
\-p \fIdest[/copia]\fR
.br 
Establece el destino y la copia, si se especifica, para cualquiera de las opciones que siguen. Si la copia especificada no existe, se crea.
.TP 5
\-r \fIopcin\fR
.br 
Elimina la opcin del destino especificado.
.TP 5
\-x \fIdest[/copia]\fR
.br 
Elimina la opcin del destino especificado y de la copia, si se especifica. Si la copia especificada no existe, no hace nada.
.LP 
Si no se especifican opciones usando la opcin \fI\-o\fR, se listan en la salida estandar las opciones actuales de la impresora especificada.
.LP 
Las opciones establecidas con el comando \fBlpoptions\fR son usadas por los comandos \fBlp(1)\fR y \fBlpr(1)\fR cuando se realiza la impresin de trabajos.
.SH "OPCIONES DE LA CUENTA ROOT"
Cuando es ejecutado por el usuario root, \fBlpoptions\fR lee y establece las opciones predeterminadas y copias para \fItodos los usuarios\fR en el archivo  /etc/cups/lpoptions.
.SH "COMPATIBILIDAD"
El comando \fBlpoptions\fR es especfico de CUPS.
.SH "ARCHIVOS"
~/.lpoptions \- valores predeterminados y copias creadas por usuarios que no sean root.
.br 
/etc/cups/lpoptions \- valores predeterminados para todo el sistema y copias creadas por el usuario root.
.SH "VASE TAMBIN"
cancel(1), lp(1),
Manual de usuario de CUPS,
http://localhost:631/documentation.html
.SH "DERECHOS DE COPIA"
Los derechos de copia 1993\-2005 son de Easy Software Products. Todos los derechos reservados.
.SH "TRADUCCIN"
Juan Pablo Gonzlez Riopedre <riopedre@tiscali.es>
.\"
.\" End of "$Id: lpoptions.man,v 1.2 2005/01/03 19:29:58 mike Exp $".
.\"
