.\" 
.\" "$Id: lpr.man,v 1.3 2005/01/03 19:29:58 mike Exp $"
.\" 
.\" lpr man page for the Common UNIX Printing System (CUPS).
.\" 
.\" Copyright 1997-2005 by Easy Software Products.
.\" 
.\" These coded instructions, statements, and computer programs are the
.\" property of Easy Software Products and are protected by Federal
.\" copyright law.  Distribution and use rights are outlined in the file
.\" "LICENSE.txt" which should have been included with this file.  If this
.\" file is missing or damaged please contact Easy Software Products
.\" at:
.\" 
.\" Attn: CUPS Licensing Information
.\" Easy Software Products
.\" 44141 Airport View Drive, Suite 204
.\" Hollywood, Maryland 20636 USA
.\" 
.\" Voice: (301) 373-9600
.\" EMail: cups-info@cups.org
.\" WWW: http://www.cups.org
.\" 
.TH "lpr" "1" "Common UNIX Printing System" "16 de Diciembre de 2004" "Easy Software Products"
.SH "NOMBRE"
lpr \- imprime archivos
.SH "SINOPSIS"
.B lpr
[ \-E ] [ \-P
.I destino
] [ \-U
.I usuario
] [ \-#
.I num\-copias
[ \-l ] [ \-o
.I opcin
] [ \-p] [ \-r ] [ \-C/J/T
.I ttulo
] [
.I archivos(s)
]
.SH "DESCRIPCIN"
\fBlpr\fR realiza la impresin de archivos. Los archivos especificados en la lnea de comandos se envan a la impresora especificada (o a la predeterminada si no se ha especificado destino). Si no se especifican archivos en la lnea de comandos, entonces \fBlpr\fR lee el archivo a imprimir desde la entrada estandar.
.SH "OPCIONES"
Estas son las opciones reconocidas por \fBlpr\fR:
.TP 5
\-E
.br 
Hace que se use encriptacin en la conexin con el servidor.
.TP 5
\-P \fIdestino\fR
.br 
Imprime archivos a la impresora especificada.
.TP 5
\-# \fIcopias\fR
.br 
Establece el nmero de copias a imprimir de 1 a 100.
.TP 5
\-C \fInombre\fR
.br 
Establece el nombre del trabajo.
.TP 5
\-J \fInombre\fR
.br 
Establece el nombre del trabajo.
.TP 5
\-T \fInombre\fR
.br 
Establece el nombre del trabajo.
.TP 5
\-U \fIusuario\fR
.br 
Establece el nombre del usuario.
.TP 5
\-l
.br 
Especifica que el archivo a imprimir ya tiene el formato adecuado para el destino y debe ser enviado sin aplicar ningn filtro. Esta opcin es equivalente a "\-oraw".
.TP 5
\-o \fIopcin\fR
.br 
Establece una opcin del trabajo.
.TP 5
\-p
.br 
Especifica que el archivo a imprimir debe ser formateado con una cabecera que contenga la fecha, la hora, el nombre del trabajo, y el nmero de pgina. Esta opcin es equivalente a "\-oprettyprint" y slo es til cuando se imprimen archivos de texto.
.TP 5
\-r
.br 
Especifica que los archivos a imprimir deben ser borrados tras ser impresos.
.SH "COMPATIBILIDAD"
Las opciones "c", "d", "f", "g", "i", "m", "n", "t", "v", y "w" no funcionan en CUPS y producirn un mensaje de aviso si se usan.
.SH "VASE TAMBIN"
cancel(1), lp(1), lpstat(1),
Manual de usuario de CUPS,
http://localhost:631/documentation.html
.SH "DERECHOS DE COPIA"
Los derechos de copia 1993\-2005 son de Easy Software Products. Todos los derechos reservados.
.SH "TRADUCCIN"
Juan Pablo Gonzlez Riopedre <riopedre@tiscali.es>
.\"
.\" End of "$Id: lpr.man,v 1.3 2005/01/03 19:29:58 mike Exp $".
.\"
