.\" 
.\" "$Id: lpstat.man,v 1.3 2005/01/03 19:29:58 mike Exp $"
.\" 
.\" lpstat man page for the Common UNIX Printing System (CUPS).
.\" 
.\" Copyright 1997-2005 by Easy Software Products.
.\" 
.\" These coded instructions, statements, and computer programs are the
.\" property of Easy Software Products and are protected by Federal
.\" copyright law.  Distribution and use rights are outlined in the file
.\" "LICENSE.txt" which should have been included with this file.  If this
.\" file is missing or damaged please contact Easy Software Products
.\" at:
.\" 
.\" Attn: CUPS Licensing Information
.\" Easy Software Products
.\" 44141 Airport View Drive, Suite 204
.\" Hollywood, Maryland 20636 USA
.\" 
.\" Voice: (301) 373-9600
.\" EMail: cups-info@cups.org
.\" WWW: http://www.cups.org
.\" 
.TH "lpstat" "1" "Common UNIX Printing System" "29 de Octubre de 2004" "Easy Software Products"
.SH "NOMBRE"
lpstat \- imprime la informacin de estado de cups
.SH "SINOPSIS"
.B lpstat
[ \-E ] [ \-h
.I servidor
] [ \-l ] [ \-W
.I que\-trabajos
] [ \-a [
.I destino(s)
] ] [ \-c [
.I clase(s)
] [ \-d ] [ \-o [
.I destino(s)
] ] [ \-p [
.I impresora(s)
] ] [ \-r ] [ \-R ] [ \-s ] [ \-t ] [ \-u [
.I usuario(s)
] ] [ \-v [
.I impresora(s)
] ]
.SH "DESCRIPCIN"
\fBlpstat\fR visualiza la informacin de estado sobre las clases, trabajos, e impresoras actuales. Cuando es ejecutado sin argumentos, \fBlpstat\fR listar los trabajos puestos en cola por el usuario. Otras opciones son:
.TP 5
\-E
.br 
Hace que se use encriptacin en la conexin con el servidor.
.TP 5
\-a [\fIimpresora(s)\fR]
.br 
Muestra el estado de aceptacin de las colas de las impresoras. Si no se especifican impresoras, se listan todas.
.TP 5
\-c [\fIclase(s)\fR]
.br 
Muestra las clases de impresoras y las impresoras que pertenecen a ellas. Si no se especifican clases, se listan todas.
.TP 5
\-d
.br 
Muestra el destino predeterminado actual.
.TP 5
\-h \fIservidor\fR
.br 
Especifica el servidor CUPS con el que comunicar.
.TP 5
\-l
.br 
Muestra un listado detallado de impresoras, clases o trabajos.
.TP 5
\-o [\fIdestino(s)\fR]
.br 
Muestra la cola de trabajos en los destinos especificados. Si no se especifica destino, se muestran todos los trabajos.
.TP 5
\-p [\fIimpresora(s)\fR]
.br 
Muestra las impresoras y si estn activas para imprimir. Si no se especifican impresoras, se listan todas.
.TP 5
\-r
.br 
Muestra si el servidor CUPS est en funcionamiento.
.TP 5
\-R
.br 
Muestra la clasificacin de los trabajos de impresin.
.TP 5
\-s
.br 
Muestra un resmen de estado, incluyendo el destino predeterminado, una lista de clases y las impresoras miembros que las forman, y una lista de impresoras y sus dispositivos asociados. Esto es equivalente a usar las opciones "\-d", "\-c",
y "\-v".
.TP 5
\-t
.br 
Muestra toda la informacin de estado. Es equivalente a usar las opciones "\-r",
"\-d", "\-c", "\-v", "\-a", "\-p", y "\-o".
.TP 5
\-u [\fIusuario(s)\fR]
.br 
Muestra una lista de trabajos de impresin puestos en cola por los usuarios especificados. Si no se especifican usuarios, lista los trabajos puestos en cola por el usuario actual.
.TP 5
\-v [\fIimpresora(s)\fR]
.br 
Muestra las impresoras y los dispositivos a los que estn conectadas. Si no se especifican impresoras, se listan todas.
.TP 5
\-W [\fIque\-trabajos\fR]
.br 
Especifica qu trabajos mostrar, \fIcompleted\fR (completados) o \fInot\-completed\fR (no completados) (predeterminado). Esta opcin \fBdebe\fR aparecer antes de la opcin \fI\-o\fR y/o de cualquier nombre de impresora, porque si no el valor predeterminado (not\-completed) ser usado en la peticin al planificador de tareas.
.SH "COMPATIBILIDAD"
A diferencia del sistema de impresin System V, CUPS permite que los nombres de impresoras contengan cualquier carcter imprimible excepto ESPACIO y TAB. Tambin, en  los nombres de clases e impresoras \fIno\fR hay distincin entre maysculas y minsculas.
.LP 
Las opciones "\-h" y "\-W" son exclusivas de CUPS.
.LP 
Las opciones "\-f", "\-P", y "\-S" de Solaris se ignoran silenciosamente.
.SH "VASE TAMBIN"
cancel(1), lp(1),
Manual de usuario de CUPS,
http://localhost:631/documentation.html
.SH "DERECHOS DE COPIA"
Los derechos de copia 1993\-2005 son de Easy Software Products. Todos los derechos reservados.
.SH "TRADUCCIN"
Juan Pablo Gonzlez Riopedre <riopedre@tiscali.es>
.\"
.\" End of "$Id: lpstat.man,v 1.3 2005/01/03 19:29:58 mike Exp $".
.\"
