.\" 
.\" "$Id: mime.types.man,v 1.2 2005/01/03 19:29:58 mike Exp $"
.\" 
.\" mime.types man page for the Common UNIX Printing System (CUPS).
.\" 
.\" Copyright 1997-2005 by Easy Software Products.
.\" 
.\" These coded instructions, statements, and computer programs are the
.\" property of Easy Software Products and are protected by Federal
.\" copyright law.  Distribution and use rights are outlined in the file
.\" "LICENSE.txt" which should have been included with this file.  If this
.\" file is missing or damaged please contact Easy Software Products
.\" at:
.\" 
.\" Attn: CUPS Licensing Information
.\" Easy Software Products
.\" 44141 Airport View Drive, Suite 204
.\" Hollywood, Maryland 20636 USA
.\" 
.\" Voice: (301) 373-9600
.\" EMail: cups-info@cups.org
.\" WWW: http://www.cups.org
.\" 
.TH "mime.types" "5" "Common UNIX Printing System" "22 de Junio de 2000" "Easy Software Products"
.SH "NOMBRE"
mime.types \- archivo de descripcin de tipos mime para cups
.SH "DESCRIPCIN"
El archivo \fImime.types\fR define los tipos de archivo reconocidos.
.LP 
Se pueden aadir tipos de archivo adicionales a \fImime.types\fR o a archivos adicionales en el directorio de configuracin \fB/etc/cups\fR con la extensin ".types".
.LP 
Cada lnea en el archivo \fImime.types\fR puede ser un comentario, una lnea en blanco o una lnea con una regla. Las lneas de comentario comienzan con el carcter #. Las lneas con una regla comienzan con el nombre del tipo MIME y opcionalmente sigue una serie de reglas de reconocimiento de archivos que se usan para identificar automticamente los archivos de impresin y de pginas web:
.br 
.nf 

    super/tipo regla [ ... reglaN]
.fi 
Las reglas pueden ser agrupadas usando parntesis, unidas usando "+" para hacer un  AND (Y) lgico y "," o espacio en blanco para un OR (O) lgico, y negadas usando "!".
.SH "REGLAS"
Las reglas tienen dos formas \- una extensin de archivo por si misma y funciones con valores de prueba entre parntesis. Estn disponibles las siguientes funciones:
.TP 5
match("patrn")
.br 
El patrn coincide con el nombre de archivo
.TP 5
ascii(desplazamiento,longitud)
.br 
Verdadero si los bytes son caracteres imprimibles ASCII (CR, NL, TAB, BS, 32\-126)
.TP 5
printable(desplazamiento,longitud)
.br 
Verdadero si los bytes son caracteres imprimibles de 8\-bits (CR, NL, TAB, BS, 32\-126, 128\-254)
.TP 5
string(desplazamiento,"cadena")
.br 
Verdadero si los bytes son identicos a cadena
.TP 5
istring(desplazamiento,"cadena")
.br 
Verdadero si una comparacin, sin distincin de maysculas y minsculas, de los bytes es idntica
.TP 5
char(desplazamiento,valor)
.br 
Verdadero si byte es idntico
.TP 5
short(desplazamiento,valor)
.br 
Verdadero si el nmero entero de 16\-bits es idntico
.TP 5
int(desplazamiento,valor)
.br 
Verdadero si el nmero entero de 32\-bits es idntico
.TP 5
locale("cadena")
.br 
Verdadero si la ubicacion actual coincide con cadena
.TP 5
contains(desplazamiento,rango,"cadena")
.br 
Verdadero si el rango contiene la cadena
.SH "CADENAS DE CARACTERES"
Las constantes de cadenas de caracteres que contengan espacios en blanco, pueden ser especificadas entre comillas ("") y parntesis de ngulo (<>) para cadenas hexadecimales.
.SH "VASE TAMBIN"
classes.conf(5), cupsd(8), cupsd.conf(5), mime.convs(5), printers.conf(5),
Manual de administrador de CUPS,
http://localhost:631/documentation.html
.SH "DERECHOS DE COPIA"
Los derechos de copia 1993\-2005 son de Easy Software Products. Todos los derechos reservados.
.SH "TRADUCCIN"
Juan Pablo Gonzlez Riopedre <riopedre@tiscali.es>
.\"
.\" End of "$Id: mime.types.man,v 1.2 2005/01/03 19:29:58 mike Exp $".
.\"
